<?php global $flexitheme; ?>

    <div <?php post_class('post post-single clearfix'); ?> id="post-<?php the_ID(); ?>">
        
        <div class="postmeta-primary-container clearfix">
            <div class="postmeta-primary">

            <span class="meta_date"><?php the_time($flexitheme->get_option('dateformat')); ?></span>
           &nbsp; <span class="meta_author"><?php the_author(); ?></span>

                <?php 
                if(is_user_logged_in())  {
                    ?> &nbsp; <span class="meta_edit"><?php edit_post_link(); ?></span><?php
                } ?> 
        </div>
        <div class="postmeta-comment">
            <?php if(comments_open( get_the_ID() ))  {
                    ?><?php comments_popup_link( '0', '1', '%' ); ?><?php
                }
            ?>
        </div>
        </div>
        
    
        <h2 class="title"><?php the_title(); ?></h2>
        
        <div class="entry clearfix">
            
            <?php
                if(has_post_thumbnail())  {
                    the_post_thumbnail(
                        array($flexitheme->get_option('featured_image_width_single'), $flexitheme->get_option('featured_image_height_single')),
                        array("class" => $flexitheme->get_option('featured_image_position_single') . " featured_image")
                    );
                }
            ?>
            
            <?php
                the_content('');
                wp_link_pages( array( 'before' => '<p><strong>' . __( 'Pages:', 'themater' ) . '</strong>', 'after' => '</p>' ) );
            ?>
    
        </div>
    
        <div class="postmeta-secondary">
           <span class="meta_categories"><?php _e( 'Posted in:', 'themater' ); ?>  <?php the_category(', '); ?></span>
           <?php if(get_the_tags()) {
                    ?> &nbsp; <span class="meta_tags"><?php the_tags(__( 'Tags:', 'themater') . ' ', ', ', ''); ?></span><?php
                }
            ?> 
        </div>
    
    </div><!-- Post ID <?php the_ID(); ?> -->
    
    <?php 
        if(comments_open( get_the_ID() ))  {
            comments_template('', true); 
        }
    ?>